//////////////////////////////////////////////////////////
// This class has been automatically generated on
// Thu Jun  2 19:01:17 2005 by ROOT version 4.04/02
// from TChain bg_filtered/
//////////////////////////////////////////////////////////

#ifndef MySelector_h
#define MySelector_h

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>
#include <TSelector.h>

class MySelector : public TSelector {
public :
   TTree          *fChain;   //!pointer to the analyzed TTree or TChain

   // Declaration of leave types
   Float_t         acolin;
   Float_t         acopl;
   Float_t         minvis;
   Float_t         msumf;
   Float_t         nch;
   Float_t         qelep;
   Float_t         ptsumf;

   // List of branches
   TBranch        *b_acolin;   //!
   TBranch        *b_acopl;   //!
   TBranch        *b_minvis;   //!
   TBranch        *b_msumf;   //!
   TBranch        *b_nch;   //!
   TBranch        *b_qelep;   //!
   TBranch        *b_ptsumf;   //!

   MySelector(TTree *tree=0) { }
   virtual ~MySelector() { }
   virtual Int_t   Version() const {return 1;}
   virtual void    Begin(TTree *tree);
   virtual void    SlaveBegin(TTree *tree);
   virtual void    Init(TTree *tree);
   virtual Bool_t  Notify();
   virtual Bool_t  Process(Long64_t entry);
   virtual void    SetOption(const char *option) { fOption = option; }
   virtual void    SetObject(TObject *obj) { fObject = obj; }
   virtual void    SetInputList(TList *input) {fInput = input;}
   virtual TList  *GetOutputList() const { return fOutput; }
   virtual void    SlaveTerminate();
   virtual void    Terminate();

   ClassDef(MySelector,0);
};

#endif

#ifdef MySelector_cxx
void MySelector::Init(TTree *tree)
{
   // The Init() function is called when the selector needs to initialize
   // a new tree or chain. Typically here the branch addresses of the tree
   // will be set. It is normaly not necessary to make changes to the
   // generated code, but the routine can be extended by the user if needed.
   // Init() will be called many times when running with PROOF.

   // Set branch addresses
   if (tree == 0) return;
   fChain = tree;
   fChain->SetMakeClass(1);

   fChain->SetBranchAddress("acolin",&acolin);
   fChain->SetBranchAddress("acopl",&acopl);
   fChain->SetBranchAddress("minvis",&minvis);
   fChain->SetBranchAddress("msumf",&msumf);
   fChain->SetBranchAddress("nch",&nch);
   fChain->SetBranchAddress("qelep",&qelep);
   fChain->SetBranchAddress("ptsumf",&ptsumf);
}

Bool_t MySelector::Notify()
{
   // The Notify() function is called when a new file is opened. This
   // can be either for a new TTree in a TChain or when when a new TTree
   // is started when using PROOF. Typically here the branch pointers
   // will be retrieved. It is normaly not necessary to make changes
   // to the generated code, but the routine can be extended by the
   // user if needed.

   // Get branch pointers
   b_acolin = fChain->GetBranch("acolin");
   b_acopl = fChain->GetBranch("acopl");
   b_minvis = fChain->GetBranch("minvis");
   b_msumf = fChain->GetBranch("msumf");
   b_nch = fChain->GetBranch("nch");
   b_qelep = fChain->GetBranch("qelep");
   b_ptsumf = fChain->GetBranch("ptsumf");

   return kTRUE;
}

#endif // #ifdef MySelector_cxx
